## maelstrom 1.4.1-L6-4

=== Makefile ===
SHELL=/bin/sh

# These are system-specific features
# Add "-DUSE_SVGALIB" if you are on a Linux system and want to run
# Maelstrom in both the console and X11.
# Add "-DPLAY_DEV_AUDIO" if you want to enable /dev/audio support.
#   -- The sound is not synchronous in /dev/audio mode under Linux.
# Add "-DPIXEL_DOUBLING" if you want Maelstrom in 1280x960 X resolution (slow!)
# Adding "-DASYNCHRONOUS_IO" results in smoother play on systems that
# support it.  These systems currently are: Linux, Solaris
FEATURES = -DUSE_SVGALIB -DASYNCHRONOUS_IO

MAELSTROM = Maelstrom Maelstrom_sound
PROGS     = test-asyncio macres
#PROGS     = test-asyncio macres scored

#XPMINCLUDE = /share/include
XPMINCLUDE = ../xpm-3.4g/include
#XPMLINKDIR = /share/lib
XPMLINKDIR = ../xpm-3.4g/lib

LIBDIR = /usr/local/lib/Maelstrom
OLDBINDIR = /usr/local/bin/X11
BINDIR = /usr/local/bin
DATAFILES = Images/*.icon Images/*.cicn "Maelstrom Fonts" \
            "Maelstrom Sounds" "Maelstrom Sprites"

OBJS = main.o framebuf.o x11_framebuf.o vga_framebuf.o fontserv.o sound.o \
       Mac_Resource.o init.o make.o misc.o blit.o game.o controls.o \
       scores.o netscore.o dialog.o Utils.o shared.o
SOUNDOBJS = Maelstrom_sound.o Mac_Resource.o soundres.o mixer.o shared.o

#########################################################
# Linux libraries and flags
CC = gcc
CFLAGS = -g -O2 -fomit-frame-pointer $(FEATURES) -DLIBDIR=\"$(LIBDIR)\" \
							-I$(XPMINCLUDE)
LIBS =  -lm -lvga -lvgagl -lXpm -lX11 -lXext -L/usr/X11R6/lib  -L$(XPMLINKDIR)
SOUNDLIBS = 

#########################################################
# Solaris libraries and flags
#CC = gcc
#CFLAGS = -g -O2 -fomit-frame-pointer $(FEATURES) -DLIBDIR=\"$(LIBDIR)\" \
#				-I/usr/openwin/include -I$(XPMINCLUDE)
#LIBS = -lm -lsocket -lnsl -lucb -lXpm -lX11 -lXext \
#		       -L/usr/openwin/lib -L/usr/ucblib -L$(XPMLINKDIR)
#SOUNDLIBS = -lucb -L/usr/ucblib -lsocket

#########################################################
# SunOS 4.1.4 libraries and flags
#CC = gcc
#LIBS = -lm -lXpm -lX11 -lXext -L/usr/openwin/lib -L$(XPMLINKDIR) $(FEATURES)
#SOUNDLIBS = -lucb -L/usr/ucblib -lsocket

#########################################################
# SGI libraries and flags
#CC = CC
#CFLAGS = -g -DLIBDIR=\"$(LIBDIR)\" -I$(XPMINCLUDE) $(FEATURES)
#LIBS = -lm -lXpm -lX11 -lXext -L$(XPMLINKDIR)

#########################################################
# HPUX libraries and flags
#CC = gcc
#CFLAGS = -g -O2 -DLIBDIR=\"$(LIBDIR)\" -I/usr/include/X11R5 -I$(XPMINCLUDE) \
#								$(FEATURES)
#LIBS = -lm -lXpm -lX11 -lXext -L$(XPMLINKDIR) -L/usr/lib/X11R5
#SOUNDLIBS =

#########################################################
# DEC libraries and flags
#CC = gcc
#CFLAGS = -g -O2 -DLIBDIR=\"$(LIBDIR)\" -I$(XPMINCLUDE) -I/usr/include \
#								$(FEATURES)
#LIBS = -lm -lXpm -lX11 -lXext -L$(XPMLINKDIR)
#SOUNDLIBS =

.cc.o:
	$(CC) $(CFLAGS) -c $<


all: $(PROGS) $(MAELSTROM)

install: $(MAELSTROM)
	@if [ -x $(OLDBINDIR)/Maelstrom ]; then \
		echo "Removing old Maelstrom binaries..."; \
		rm $(OLDBINDIR)/Maelstrom*; \
	fi
	@if [ ! -d $(BINDIR) ]; then mkdir $(BINDIR); fi
	@echo "Installing binaries in $(BINDIR)..."
	@for i in $(MAELSTROM) ; do \
		strip $$i; \
		install -m 755 $$i $(BINDIR); \
	done
	@if [ ! -d $(LIBDIR) ]; then \
		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
	fi
	@echo "Installing data files in $(LIBDIR) ..."
	@tar cf - $(DATAFILES) | (cd $(LIBDIR); tar xvf -)
	@chmod -R +r $(LIBDIR)
	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
		echo "Installing Maelstrom high-scores file"; \
		install -m 666 Maelstrom-Scores  $(LIBDIR); \
		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
	fi
	@-if [ `uname` = "Linux" ]; then \
		echo "Fixing permissions for Maelstrom (set-uid root)"; \
		chown root $(BINDIR)/Maelstrom && \
					chmod u+s $(BINDIR)/Maelstrom; \
	fi
	@echo "Maelstrom installed!"
	@echo ""
	@echo "Make sure that $(BINDIR) is in your execution path"
	@echo "and type 'Maelstrom' to play!"

# I've always really disliked programs that installed themselves
# all over my system and didn't show me how to remove them.
uninstall:
	@if [ -x $(BINDIR)/Maelstrom ]; then \
		echo "Removing Maelstrom binaries..."; \
		rm $(BINDIR)/Maelstrom*; \
	fi
	@if [ -d $(LIBDIR) ]; then \
		if [ -f $(LIBDIR)/Maelstrom-Scores ]; then \
			if [ `echo "\c"` = "" ]; then \
				echo "Save high scores? [Y/n]: \c"; \
			elif [ `echo -n ""` = ""]; then \
				echo -n "Save high scores? [Y/n]: "; \
			else \
				echo "Save high scores? [Y/n]"; \
			fi; \
			read savem; \
			if [ "$$savem" != "n" ]; then \
				cp $(LIBDIR)/Maelstrom-Scores . ; \
				echo \
				"High scores saved as ./Maelstrom-Scores"; \
			fi; \
		fi; \
		echo "Removing data files..."; \
		rm -r $(LIBDIR); \
	fi
	@echo "Maelstrom uninstalled!"
	

Maelstrom: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIBS)

Maelstrom_sound: $(SOUNDOBJS)
	$(CC) -o $@ $(SOUNDOBJS) $(SOUNDLIBS)

macres: macres.o Mac_Resource.o Mac_Resource.h
	$(CC) -o $@ macres.o Mac_Resource.o

test-asyncio: test-asyncio.o
	$(CC) -o $@ test-asyncio.o $(LIBS)

countcolors: countcolors.o Mac_Resource.o
	$(CC) -o $@ countcolors.o Mac_Resource.o

clean:
	rm -f *.o *.bak

spotless: clean
	rm -f $(PROGS) $(MAELSTROM)
clobber: spotless

backup:
	-mount /A ;\
	cp -v *.cc *.c *.h *.xpm *.xbm *.URL /A ;\
	cp -v Makefile Copyright /A ;\
	cp -v utils/* /A/utils ;\
	cp -v Doc/* /A/doc ;\
	umount /A

Mac_Resource.o: Mac_Resource.cc Mac_Resource.h bytesex.h
Maelstrom_sound.o: Maelstrom_sound.cc Mac_Resource.h mixer.h sound_cmds.h
Utils.o: Utils.cc fontserv.h Sprite.h framebuf.h \
         vga_framebuf.h Maelstrom.h Maelstrom_Inline.h bytesex.h
blit.o: blit.cc Maelstrom_Globals.h fontserv.h Sprite.h framebuf.h \
        vga_framebuf.h Maelstrom.h Maelstrom_Inline.h
controls.o: controls.cc Maelstrom_Globals.h fontserv.h Sprite.h framebuf.h \
            Maelstrom_Inline.h dialog.h keyboard.h
dialog.o: dialog.cc dialog.h
fontserv.o: fontserv.cc Sprite.h
framebuf.o: framebuf.cc keyboard.h
game.o: game.cc Maelstrom_Globals.h fontserv.h Sprite.h framebuf.h \
        vga_framebuf.h Maelstrom.h Maelstrom_Inline.h
init.o: init.cc sound.h sound_cmds.h fontserv.h Sprite.h framebuf.h \
        vga_framebuf.h Maelstrom.h Maelstrom_Inline.h Maelstrom_icon.xpm \
        colortable.h
main.o: main.cc fontserv.h Sprite.h framebuf.h vga_framebuf.h \
        Maelstrom.h Maelstrom_Inline.h buttons.h
make.o: make.cc Maelstrom_Globals.h fontserv.h Sprite.h framebuf.h \
        vga_framebuf.h Maelstrom.h Maelstrom_Inline.h
misc.o: misc.cc Maelstrom_Globals.h fontserv.h Sprite.h framebuf.h \
        vga_framebuf.h Maelstrom.h Maelstrom_Inline.h
mixer.o: mixer.cc mixer.h sound_cmds.h sample.h
netscore.o: netscore.cc Mac_Resource.h framebuf.h Maelstrom_Inline.h \
            netscore.h
scores.o: scores.cc Maelstrom_Globals.h sound.h sound_cmds.h fontserv.h \
          Sprite.h framebuf.h vga_framebuf.h Maelstrom.h Maelstrom_Inline.h \
          dialog.h bytesex.h
shared.o: shared.cc usleep.c
sound.o: sound.cc sound_cmds.h
soundres.o: soundres.cc soundres.h Mac_Resource.h
vga_framebuf.o: vga_framebuf.cc framebuf.h
x11_framebuf.o: x11_framebuf.cc x11_framebuf.h framebuf.h cursor.h \
                cursor.xbm cursorm.xbm
# DO NOT DELETE
#
# The SGI needs this:
include .c++howto

=== utils/Makefile ===

PROGS = dsprite dicon dppm xpm2icon xpm2sprite clut2cmap \
	mergescores printscores gen_vgakeys data2array matchcolors endianicon \
	populatecmap unpopulatecmap

all: $(PROGS)

dsprite: dsprite.o ../colortable.h ../Sprite.h
	$(CC) -o $@ $< -lvga -lvgagl

dicon: dicon.o ../colortable.h
	$(CC) -o $@ $< -lvga -lvgagl

dppm: dppm.o
	$(CC) -o $@ $< -lvga -lvgagl

cicn2xpm: cicn2sprite.c colortable.h ../bytesex.h Sprite.h
	$(CC) -o $@ $< -DMAKE_XPM 

unpopulatecmap: populatecmap.c
	$(CC) -o $@ $<

clean:
	rm -f *.o

spotless: clean
	rm -f $(PROGS) *.bak

## maelstrom 1.4.3

=== Makefile ===
SHELL=/bin/sh

MAELSTROM = Maelstrom Maelstrom_sound

############################################################################

include Makeflags

############################################################################


install: $(MAELSTROM)
	@if [ "$(LIBDIR)" = "." ]; then \
		echo "	Nothing to do!  (Install to current directory)"; \
		exit 1; \
	fi
	@if [ ! -d "$(BINDIR)" ]; then mkdir $(BINDIR); fi
	@echo "Installing binaries in $(BINDIR)..."
	@for i in $(MAELSTROM) ; do \
		strip $$i; \
		$(INSTALL) -m 755 $$i $(BINDIR); \
	done
	@if [ ! -d $(LIBDIR) ]; then \
		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
	fi
	@echo "Installing data files in $(LIBDIR) ..."
	@tar cf - $(DATAFILES) | (cd $(LIBDIR); tar xvf -)
	@chmod -R +r $(LIBDIR)
	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
		echo "Installing Maelstrom high-scores file"; \
		$(INSTALL) -m 666 Maelstrom-Scores  $(LIBDIR); \
		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
	fi
	@-if [ "$(SYSTEM)" = "Linux" ]; then \
		echo "Fixing permissions for Maelstrom (set-uid root)"; \
		chown root $(BINDIR)/Maelstrom && \
					chmod u+s $(BINDIR)/Maelstrom; \
	fi
	@echo "Maelstrom installed!"
	@echo ""
	@echo "Make sure that $(BINDIR) is in your execution path"
	@echo "and type 'Maelstrom' to play!"

# I've always really disliked programs that installed themselves
# all over my system and didn't show me how to remove them.
uninstall:
	@if [ -x $(BINDIR)/Maelstrom ]; then \
		echo "Removing Maelstrom binaries..."; \
		rm $(BINDIR)/Maelstrom*; \
	fi
	@if [ -d $(LIBDIR) ]; then \
		if [ -f $(LIBDIR)/Maelstrom-Scores ]; then \
			if [ `echo "\c"` = "" ]; then \
				echo "Save high scores? [Y/n]: \c"; \
			elif [ `echo -n ""` = ""]; then \
				echo -n "Save high scores? [Y/n]: "; \
			else \
				echo "Save high scores? [Y/n]"; \
			fi; \
			read savem; \
			if [ "$$savem" != "n" ]; then \
				cp $(LIBDIR)/Maelstrom-Scores . ; \
				echo \
				"High scores saved as ./Maelstrom-Scores"; \
			fi; \
		fi; \
		echo "Removing data files..."; \
		rm -r $(LIBDIR); \
	fi
	@echo "Maelstrom uninstalled!"

config:
	sh ./Configure.sh

Maelstrom: $(OBJS)
	$(CXX) $(OPTIMIZE) -o $@ $(OBJS) $(CSUMLIBS) $(LIBS)

Maelstrom_sound: $(SOUNDOBJS)
	$(CXX) $(OPTIMIZE) -o $@ $(SOUNDOBJS) $(SOUNDLIBS)

$(LOGIC)/$(LOGIC).o:
	if [ "$(LOGIC)" != "" ]; then \
		cd "$(LOGIC)" && \
		make "CXX=$(CXX)" "OPTIMIZE=$(OPTIMIZE)" "INCLUDES=$(INCLUDES)"; \
	fi

macres: macres.o Mac_Resource.o Mac_Resource.h
	$(CXX) $(OPTIMIZE) -o $@ macres.o Mac_Resource.o

clean:
	if [ "$(LOGIC)" != "" ]; then cd $(LOGIC) && make clean; fi
	rm -f *.o *.bak gmon.out
	-cd netplayd && make clean

dist: clean
	cp Makeflags.start Makeflags
	strip $(MAELSTROM)

spotless: clean
	if [ "$(MAELSTROM)" != "" ]; then rm -f $(PROGS) $(MAELSTROM); fi
	rm -f mixer.h mixer.cpp
	cp Makeflags.start Makeflags
	-cd netplayd && make spotless

clobber: spotless


Maelstrom_Globals.h: Mac_Resource.h sound.h fontserv.h framebuf.h \
                     x11_framebuf.h vga_framebuf.h dga_framebuf.h \
                     			Maelstrom.h Maelstrom_Inline.h
	@if [ -f "$@" ]; then touch "$@"; fi

# DO NOT DELETE
#
# The SGI needs this:
include .c++howto

=== netplayd/Makefile ===


PROG = netplayd
OBJS = netplayd.o
CFLAGS = -g -I../netlogic

$(PROG): $(OBJS)
	$(CC) -o $@ $(OBJS)

clean:
	rm -f $(OBJS) *.bak

spotless: clean
	rm -f $(PROG)

## maelstrom 1.4.3-L2.0.4-1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@echo "Installing binaries in $(BINDIR)..."
 	@for i in $(MAELSTROM) ; do \
 		strip $$i; \
-		$(INSTALL) -m 755 $$i $(BINDIR); \
+		install -m 755 $$i $(BINDIR); \
 	done
 	@if [ ! -d $(LIBDIR) ]; then \
 		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
@@ -28,7 +28,7 @@
 	@chmod -R +r $(LIBDIR)
 	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
 		echo "Installing Maelstrom high-scores file"; \
-		$(INSTALL) -m 666 Maelstrom-Scores  $(LIBDIR); \
+		install -m 666 Maelstrom-Scores  $(LIBDIR); \
 		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
 	fi
 	@-if [ "$(SYSTEM)" = "Linux" ]; then \

=== netlogic/Makefile ===

CFLAGS = $(OPTIMIZE) -I.. $(INCLUDES) -DNETPLAY
OBJS = about.o blit.o game.o logic.o make.o netplay.o object.o player.o

netlogic.o: $(OBJS)
	ld -r -o $@ $(OBJS)

clean:
	rm -f *.o *.bak

include .c++howto

=== utils/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 PROGS = dsprite dicon dppm xpm2icon xpm2sprite clut2cmap \
 	mergescores printscores gen_vgakeys data2array matchcolors endianicon \
-	populatecmap unpopulatecmap
+	populatecmap unpopulatecmap genkeypair countcolors
 
 all: $(PROGS)
 
@@ -17,6 +17,9 @@
 cicn2xpm: cicn2sprite.c colortable.h ../bytesex.h Sprite.h
 	$(CC) -o $@ $< -DMAKE_XPM 
 
+countcolors: countcolors.o ../Mac_Resource.o
+	$(CC) -o $@  countcolors.o ../Mac_Resource.o
+
 unpopulatecmap: populatecmap.c
 	$(CC) -o $@ $<

=== debian/control ===
PACKAGE: maelstrom
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13), svgalib1, xpm4.7, xlib6, libg++27
PRIORITY: optional
SECTION: games
DESCRIPTION: An arcade-style game resembling Asteroids.
 This is a port of the high-resolution "asteriods" style
 arcade game written by Andrew Welch for the Macintosh. It
 is now freely supported with additional network play on the
 Linux platform, courtesy of Sam Lantinga
 (slouken@cs.ucdavis.edu).

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian rules for building a Debian package
# Version 1.5
#
# These rules have been specifically designed NOT to require root to
# run them. At any time root privileges are required, the command to be
# executed will be made obvious and root's password will be prompted for.
# Of course, root may still run this and no password will be required.
#
# Robert Leslie <rob@mars.org>

PKG =	maelstrom
VER =	1.4.3-L2.0.4
DEB =	1
BLD =	debian/.build
TMP =	debian/.tmp
ARC =	$(shell dpkg --print-architecture)

build :: $(BLD)

binary :: $(BLD)
	su -c 'exec ./debian/binary $(PKG) $(VER)-$(DEB) $(ARC) $(TMP)'
	dpkg --build $(TMP) && dpkg-name -o -s .. $(TMP).deb

$(BLD):
	make
	touch $(BLD)

clean ::
	test ! -d $(TMP) || su -c 'rm -rf $(TMP)'
	rm -f $(BLD)
	make clean
	rm -f Maelstrom Maelstrom_sound test-asyncio macres

source ::
	test ! -f $(BLD) || make -f debian/rules clean
	cd .. && tar cf - $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).tar.gz

diff ::
	test ! -f $(BLD) || make -f debian/rules clean
	test -d ../$(PKG)-$(VER).orig
	cd .. && diff -cNr $(PKG)-$(VER).orig $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).diff.gz

## maelstrom 1.4.3-L2.0.6-13

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,7 @@
 	@if [ ! -d "$(BINDIR)" ]; then mkdir $(BINDIR); fi
 	@echo "Installing binaries in $(BINDIR)..."
 	@for i in $(MAELSTROM) ; do \
-		strip $$i; \
-		install -m 755 $$i $(BINDIR); \
+		$(INSTALL) -s -m 755 $$i $(BINDIR); \
 	done
 	@if [ ! -d $(LIBDIR) ]; then \
 		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
@@ -28,7 +27,7 @@
 	@chmod -R +r $(LIBDIR)
 	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
 		echo "Installing Maelstrom high-scores file"; \
-		install -m 666 Maelstrom-Scores  $(LIBDIR); \
+		$(INSTALL) -m 666 Maelstrom-Scores  $(LIBDIR); \
 		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
 	fi
 	@-if [ "$(SYSTEM)" = "Linux" ]; then \

=== fastlogic/Makefile ===

CFLAGS = $(OPTIMIZE) -I.. $(INCLUDES)
OBJS = logic.o blit.o game.o make.o about.o

fastlogic.o: $(OBJS)
	ld -r -o $@ $(OBJS)

clean:
	rm -f *.o *.bak

include .c++howto

=== debian/changelog ===
maelstrom (1.4.3-L2.0.6-13) unstable; urgency=low

  * recompiled for potato

 -- Christoph Baumann <cgb@debian.org>  Mon, 3 Jan 2000 23:04:38 +0200

maelstrom (1.4.3-L2.0.6-12) unstable; urgency=low
  
  * did some debuging, i.e. changed some (meanwhile?) wrong declarations
    to solve errors during compilation. The changed files are:
    - fastrand.cpp
    - mixer-dma.h
    - mixer-dma.cpp
    - netlogic/netplay.cpp
    - vga_framebuf.h
    maelstrom should now compile on potato
  
 -- Christoph Baumann <cgb@debian.org>  Fri, 17 Dec 1999 21:06:36 +0200

maelstrom (1.4.3-L2.0.6-11) unstable; urgency=low

  * myerror.cpp: had to include 'string.h' to avoid an 'implicit declaration'
    caused by the call of the undeclared function 'strerror' which is
    normaly declared in 'string.h'

 -- Christoph Baumann <cgb@debian.org>  Wed, 17 Nov 1999 16:35:12 +0200

maelstrom (1.4.3-L2.0.6-10) unstable; urgency=low

  * Had to jump to revision number 10 to correct some mistakes made with the 
    last upload (entry for rev.no. 9 is more or less bogus)

 -- Christoph Baumann <cgb@debian.org>  Tue, 9 Nov 1999 16:15:12 +0200

maelstrom (1.4.3-L2.0.6-9) unstable; urgency=low

  * Added some information to debian/copyright

 -- Christoph Baumann <cgb@debian.org>  Tue, 2 Nov 1999 15:42:12 +0200

maelstrom (1.4.3-L2.0.6-8) unstable; urgency=low

  * Maintainer changed
  * (debian/rules)
    Changed DOCDIR to /usr/share/doc/maelstrom, according to the policy    

 -- Christoph Baumann <cgb@debian.org>  Fri, 29 Oct 1999 15:31:12 +0200

maelstrom (1.4.3-L2.0.6-7) unstable; urgency=low

  * (debian/config-i386, debian/config-other)
    Compile with USE_JOYSTICK, since it's harmless when there is no
    joystick present, and activates joystick support for those who have it.
    Thanks to Tom Lear for pointing this out.
  * (debian/rules)  Also install README.joystick.
  * (debian/postrm)  Use = instead of == in test (avoids bashism), pointed
    out by Joey Hess.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 11 Jun 1998 00:12:08 +0200

maelstrom (1.4.3-L2.0.6-6) unstable; urgency=low

  * Better scorefile handling:
      - Don't make score file a conffile, and don't include it
        in the package directly.
      - Install Maelstrom's two default scorefiles in /usr/lib/games/maelstrom.
      - In the postinst, check if the score directory exists and install
        it if not.  Create it with mode 2775, group games.  Then check if
        the scorefile exists.  If not, copy the "high" default to that
        location and set it to mode 664, group games.
      - In the postrm, remove the scorefile and score directory if the
        argument is "purge".
      - Don't include the directory in the package itself, to avoid
        dpkg warnings when it tries to remove the directory while leaving
        the scorefile.
  * Upstream "high" scorefile is broken.  Install a fixed version.
    It's uuencoded in the Debian diffs.

 -- Richard Braakman <dark@xs4all.nl>  Thu,  5 Mar 1998 02:44:24 +0100

maelstrom (1.4.3-L2.0.6-5) unstable; urgency=low

  * debian/copyright: Describe Debian-specific patches (Policy, 5.6)
  * debian/rules: Added hackery to depend on svgalibg1 | svgalib-dummyg1,
    even if svgalibg1 does not list svgalib-dummyg1 in its shlibs file.
    (cf. http://www.debian.org/Lists-Archives/debian-devel-9710/msg00685.html)
  * debian/rules: install /var/lib/games/maelstrom/ directory as a normal
    755 directory, rather than 775 and owned by games.  Maelstrom can't
    recreate its scorefile anyway if it's gone.  The scorefile is still
    owned and writeable by games.
  * Moved Maelstrom_sound and Maelstrom_sound.dma to /usr/lib/games/maelstrom/.
  * Removed manpage symlink for Maelstrom_sound.
  * Changed debian/rules to not call upstream install target.
  
 -- Richard Braakman <dark@xs4all.nl>  Wed, 11 Feb 1998 18:27:25 +0100

maelstrom (1.4.3-L2.0.6-4) unstable; urgency=low

  * Install Maelstrom_sound.dma for people who want it.
  * Include Section and Priority fields in binary package.
  * README.Debian: Clearer text about using the mouse in svga mode.
  * Standards-Version 2.4.0.0. 
  * Previous version did not list scorefile as conffile.  Oops, sorry.
  * Use -p flag when installing documentation.

 -- Richard Braakman <dark@xs4all.nl>  Sat,  7 Feb 1998 12:45:45 +0100

maelstrom (1.4.3-L2.0.6-3) unstable; urgency=low

  * Rewrote rules file (no longer used debstd).
  * Now compresses changelog.Debian

 -- Richard Braakman <dark@xs4all.nl>  Fri, 28 Nov 1997 00:26:57 +0100

maelstrom (1.4.3-L2.0.6-2) unstable; urgency=low

  * Worked around new sgid-dropping code in svgalibg1-1.2.11,
    to preserve games id.
  * Added line about mice and svgalib to README.debian

 -- Richard Braakman <dark@xs4all.nl>  Sat, 18 Oct 1997 15:09:57 +0200

maelstrom (1.4.3-L2.0.6-1) unstable; urgency=low

  * Check for i386 before setting USE_SVGALIB
  * Added menu entry
  * Moved to non-free (see copyright file)
  * Repackaged for standards-version 2.3.0.0
  * Compiled for libc6, xlib6g, xpm4g
  * Pristine source
  * New upstream version
  * Gave reasons for suid and sgid settings in README.debian
  * New maintainer

 -- Richard Braakman <dark@xs4all.nl>  Fri, 19 Sep 1997 12:19:48 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "dark@xs4all.nl"
End:

=== debian/control ===
Source: maelstrom
Section: non-free/games
Priority: optional
Maintainer: Christoph Baumann <cgb@debian.org> 
Standards-Version: 2.4.0.0

Package: maelstrom
Architecture: any
Depends: ${shlibs:Depends}
Description: An arcade-style game resembling Asteroids.
 This is a port of the high-resolution "asteroids" style
 arcade game written by Andrew Welch for the Macintosh. It
 is now freely supported with additional network play on the
 Linux platform, courtesy of Sam Lantinga (slouken@devolution.com).

=== debian/rules ===
#!/usr/bin/make -f

DEBDIR=debian/tmp/DEBIAN
BINDIR=debian/tmp/usr/games
LIBDIR=debian/tmp/usr/lib/games/maelstrom
DOCDIR=debian/tmp/usr/share/doc/maelstrom
MANDIR=debian/tmp/usr/man
MENUDIR=debian/tmp/usr/lib/menu

build:
	$(checkdir)
	set -e; \
	if test `dpkg --print-architecture` = i386 ; then \
		cp debian/config-i386 Makeflags ; \
	else \
		cp debian/config-other Makeflags ; \
	fi
# hackery to get a separate Maelstrom_sound compiled for dma.
# these rules "know" that only Maelstrom_sound.cpp and mixer.cpp include
# mixer.h
	ln -sf mixer-std.h mixer.h
	ln -sf mixer-std.cpp mixer.cpp
	-rm -f mixer.o Maelstrom_sound.o Maelstrom_sound
	make Maelstrom_sound
	mv Maelstrom_sound debian/Maelstrom_sound.dma
	ln -sf mixer-dma.h mixer.h
	ln -sf mixer-dma.cpp mixer.cpp
	-rm -f mixer.o Maelstrom_sound.o
	make
	uudecode -o debian/Maelstrom-Scores.high debian/Maelstrom-Scores.high.uue
	touch build

clean:
	$(checkdir)
	-rm -f build
	-cp Makeflags.start Makeflags
	-make clean LOGIC=netlogic
	-rm -f Maelstrom Maelstrom_sound debian/Maelstrom_sound.dma
	-rm -f `find . -name "*~"`
	-rm -f mixer.h mixer.cpp
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f debian/Maelstrom-Scores.high

binary-indep:

binary-arch: build
	$(checkdir)
	test root = "`whoami`"
	-rm -rf debian/tmp
# install binary.  The suid and sgid bits are set in the postinst
	install -d ${BINDIR}
	install -p -s -m 755 Maelstrom ${BINDIR} 
	ln -s Maelstrom ${BINDIR}/maelstrom
# library files
	install -d ${LIBDIR}
	install -p -s -m 755 Maelstrom_sound ${LIBDIR}
	install -p -s -m 755 debian/Maelstrom_sound.dma ${LIBDIR}
	install -d ${LIBDIR}/Images
	install -p -m 644 Images/*.icon ${LIBDIR}/Images
	install -p -m 644 Images/*.cicn ${LIBDIR}/Images
	install -p -m 644 "Maelstrom Fonts" ${LIBDIR}
	install -p -m 644 "Maelstrom Sounds" ${LIBDIR}
	install -p -m 644 "Maelstrom Sprites" ${LIBDIR}
	ln -s /var/lib/games/maelstrom/Maelstrom-Scores ${LIBDIR}
# default scorefiles.
# the "high" one is a fixed version.  (it's broken upstream)
	install -p -m 644 Maelstrom-Scores ${LIBDIR}/Maelstrom-Scores.default
	install -p -m 644 debian/Maelstrom-Scores.high ${LIBDIR}/Maelstrom-Scores.high
# menu entry
	install -d ${MENUDIR}
	install -p -m 644 debian/menu ${MENUDIR}/maelstrom
# documentation
	install -d ${DOCDIR}
	install -p -m 644 Doc/*.FAQ ${DOCDIR}
	install -p -m 644 Doc/*.Paper ${DOCDIR}
	install -p -m 644 Doc/Technical_Notes* ${DOCDIR}
	install -p -m 644 Changelog ${DOCDIR}/changelog
	install -p -m 644 debian/changelog ${DOCDIR}/changelog.Debian
	gzip -9v ${DOCDIR}/*
	install -p -m 644 BUGS ${DOCDIR}
	install -p -m 644 README ${DOCDIR}
	install -p -m 644 README.Options ${DOCDIR}
	install -p -m 644 README.network ${DOCDIR}
	install -p -m 644 README.joystick ${DOCDIR}
	install -p -m 644 debian/README.Debian ${DOCDIR}
	install -p -m 644 debian/copyright ${DOCDIR}
# man pages
	install -d ${MANDIR}/man6
	install -p -m 644 debian/maelstrom.6 ${MANDIR}/man6/Maelstrom.6
	gzip -9 ${MANDIR}/man6/Maelstrom.6
	ln -s Maelstrom.6.gz ${MANDIR}/man6/maelstrom.6.gz
#
	install -d ${DEBDIR}
	install -p -m 755 debian/postinst ${DEBDIR}
	install -p -m 755 debian/postrm ${DEBDIR}
	dpkg-shlibdeps ${BINDIR}/Maelstrom ${LIBDIR}/Maelstrom_sound
# Maelstrom works just as well with svgalibg1 as with svgalib-dummyg1.
# (with the latter only in X mode, of course).  Check if the shlibs file
# provided this alternative.  If not, hack it in.
	set -e; \
	if ! grep svgalib-dummyg1 debian/substvars >/dev/null ; then \
		mv debian/substvars debian/substvars-unhacked ; \
		sed -e 's/svgalibg1\( *([^)]*)\)\{0,1\}/& | svgalib-dummyg1\1/' <debian/substvars-unhacked >debian/substvars; \
	fi
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules -a -f Maelstrom.h
endef

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## maelstrom 1.4.3-L3.0.6+main

=== debian/changelog ===
maelstrom (1.4.3-L3.0.6+main-10) unstable; urgency=medium

  * QA upload.
  * Use the https URL in Homepage, and copyright.
  * Drop removal of executables not shipped/installed anymore.
  * Remove trailing whitespaces in changelog.
  * Remove leftovers of the Debian menu.
  * Rename debian/maelstrom.6 to debian/Maelstrom.6, so it can be installed
    directly with dh_installman.
  * Remove migration of the scores from the old location
    /var/lib/games/maelstrom/Maelstrom-Scores, as it was done long ago.
  * Add a watch file.
  * Make sure that autoreconf can be run properly:
    - add a configure.patch to add the custom changes to configure.in;
      this also includes a couple of autotools modernizations needed
      - pass to ./configure the right parameters to change the directories we
        need, rather than hardcoding them as local patch
    - add destdir.patch to make sure $DESTDIR is respected
    - add install-hook.diff to rename the custom 'install' target as extra
      bits to the standard one, which otherwise overrides the custom one
    - drop 02-configure-diff.patch, merged into configure.patch
  * Rename the already existing patches to drop the numeric prefix:
    - 01-debian-diff-to-be-split-some-day.patch ->
      debian-diff-to-be-split-some-day.patch
    - 03-implicit-conversion.patch -> implicit-conversion.patch
  * Switch rules to the dh sequencer:
    - create declarative files for dh_install, dh_installman, and dh_installdocs
    - some small documentation files are no more gz-compressed now
    - dh_auto_configure passes the right parameters for cross-compilation now
      (Closes: #902647)
  * Remove from maelstrom.dirs all the directories created automatically.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Generate a PNG icon in the hicolor XDG icon theme from the existing XPM
    icon, and change the desktop file to use it
    - add the imagemagick build dependency (for convert)
  * Drop the custom icon32.xpm from debian-diff-to-be-split-some-day.patch,
    no more needed now.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 27 Dec 2021 18:44:20 +0100

maelstrom (1.4.3-L3.0.6+main-9) unstable; urgency=medium

  * QA upload.
  * Compat 11.
  * Rules-Requires-Root: yes.
  * Drop redundant B-Dep on autotools-dev.
  * Drop Debian menu.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:04:45 +0100

maelstrom (1.4.3-L3.0.6+main-8) unstable; urgency=medium

  * QA upload.
  * Include header to fix implicit pointer conversion
    in Maelstrom-netd.c, patch by Logan Rosen.

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Jan 2017 23:38:49 +0200

maelstrom (1.4.3-L3.0.6+main-7) unstable; urgency=medium

  * QA upload.
  * Use debhelper 9.
  * Switch to "3.0 (quilt)" source format.
  * prerm, postrm, postinst: Do not worry anymore about the /usr/doc
    to /usr/share/doc transition. Drop prerm completely.
  * postrm, postinst: Do not worry about menus, debhelper already does.
  * Do not use a different configure script to do "make install".
    Instead, pass an appropriate prefix option to the one used to compile.
  * As there is now only one modified configure script, put it in the usual
    place so that we can avoid moving it back and forth.
  * Do not embed calls to dpkg-buildflags in Makefile.in files.
    Instead, pass CFLAGS and related variables to configure script.
  * Try to be reproducible by using gzip -n and dh_fixperms.
  * Drop useless/unused debian/rules stuff.
  * Drop -fPIC. No libraries here.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Sep 2015 22:02:30 +0200

maelstrom (1.4.3-L3.0.6+main-6) unstable; urgency=low

  * orphan package

 -- Christoph Baumann <cgb@debian.org>  Mon, 22 Sep 2014 22:23:17 +0200

maelstrom (1.4.3-L3.0.6+main-5) unstable; urgency=low

  * further fix in postinst

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 22:15:24 +0200

maelstrom (1.4.3-L3.0.6+main-4) unstable; urgency=low

  * fix cleanup of old symlinks. Closes: #707840

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 00:47:05 +0200

maelstrom (1.4.3-L3.0.6+main-3) unstable; urgency=low

  * applied NMU diff by Steve McIntyre (see bug 678804)

 -- Christoph Baumann <cgb@debian.org>  Sat, 14 Jul 2012 22:49:04 +0200

maelstrom (1.4.3-L3.0.6+main-2) unstable; urgency=low

  * added -fPIC option for compilation of libraries

 -- Christoph Baumann <cgb@debian.org>  Mon, 02 Jul 2012 17:13:35 +0200

maelstrom (1.4.3-L3.0.6+main-1) unstable; urgency=low

  * fix several lintian bugs
    - Closes: #677029
    - Closes: #677030
    - Closes: #673442
    - Closes: #677034

 -- Christoph Baumann <cgb@debian.org>  Mon, 11 Jun 2012 14:34:45 +0200

maelstrom (1.4.3-L3.0.6+main-0+nmu1) unstable; urgency=low

  * NMU
  * Re-upload with faked new upstream to make sure the source all gets
    into main. Closes: #673442.

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Jun 2012 10:05:45 +0100

maelstrom (1.4.3-L3.0.6-11) unstable; urgency=low

  * fix several lintian bugs

 -- Christoph Baumann <cgb@debian.org>  Tue, 24 Apr 2012 23:51:29 +0200

maelstrom (1.4.3-L3.0.6-10) unstable; urgency=low

  * License of game art (graphics and sound) became free under CC (Closes: #668623)
  * Added .desktop file (Closes: #602308)
  * Updated upstream contact information

 -- Christoph Baumann <cgb@debian.org>  Mon, 16 Apr 2012 22:29:12 +0200

maelstrom (1.4.3-L3.0.6-9) unstable; urgency=low

  * maintainer upload

 -- Christoph Baumann <cgb@debian.org>  Thu, 12 Apr 2012 18:38:13 +0200

maelstrom (1.4.3-L3.0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bugs in debian/rules:
    - Fix bashism in clean commands, thanks to Angel Abad (Closes: #581483)
    - Remove more files in clean target
    - Don't ignore failure of 'rm' commands
  * Remove unneeded temporary files


=== debian/control ===
Source: maelstrom
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://www.libsdl.org/projects/Maelstrom/
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libsdl1.2-dev, libsdl-net1.2-dev, imagemagick
Rules-Requires-Root: binary-targets

Package: maelstrom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade-style game resembling Asteroids
 This is a port of the high-resolution "asteroids" style
 arcade game written by Andrew Welch for the Macintosh.

=== debian/rules ===
#!/usr/bin/make -f

TMPDIR=maelstrom
BINDIR=debian/${TMPDIR}/usr/games
LIBDIR=debian/${TMPDIR}/usr/lib/games/maelstrom
BMPDIR=debian/${TMPDIR}/usr/share/games/maelstrom
ICONDIR=debian/${TMPDIR}/usr/share/icons/hicolor/48x48/apps

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --bindir='$${exec_prefix}/games' \
	  --datadir='$${prefix}/share/games' \
	  --localstatedir=/var/games \
	  --libdir='$${exec_prefix}/lib/games/maelstrom'

execute_after_dh_auto_install:
#move lib files
	mv ${BINDIR}/Images ${BMPDIR}
	mv ${BINDIR}/icon.* ${BMPDIR}
	mv ${BINDIR}/Maelstrom_* ${LIBDIR}
	sh debian/handle_underscores ${BMPDIR}
	sh debian/handle_underscores ${LIBDIR}
# highscores should be in /var/games this is handled by postinst and
# postrm as highscore files shouldn't be overwritten during updates etc.
	mv ${BINDIR}/Maelstrom-Scores ${LIBDIR}/Maelstrom-Scores.debian
	chmod 644 ${LIBDIR}/Maelstrom-Scores.debian
	rm -f ${BMPDIR}/Images/Makefile*
# PNG icon for the desktop file
	convert icon.xpm ${ICONDIR}/maelstrom.png

override_dh_installchangelogs:
	dh_installchangelogs Changelog

execute_after_dh_fixperms:
	chown root:games ${BINDIR}/Maelstrom
	chmod 2755 ${BINDIR}/Maelstrom

## maelstrom 3.0.6.3-1

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.3
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
#URLS=http://www.devolution.com/~slouken/Maelstrom/src/
URLS=http://ftp.tal.org/pub/src/

include ../Rules.make

=== Images/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# Images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/Maelstrom
pkglibdir = $(libdir)/Maelstrom
pkgincludedir = $(includedir)/Maelstrom
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = Images
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(gameimagedir)"
gameimageDATA_INSTALL = $(INSTALL_DATA)
DATA = $(gameimage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.10
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GAME_INSTALLDIR = $(prefix)/games/Maelstrom
ICONOBJ = 
INETLIB = 
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -L/usr/lib -lSDL -lpthread -lSDL_net -lSDL_image
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo
MATHLIB = -lm
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OSSO_AF_CFLAGS = 
OSSO_AF_LIBS = 
PACKAGE = Maelstrom
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.0.6.3
abs_builddir = /home/milang/Repos/Maelstrom.git/Images
abs_srcdir = /home/milang/Repos/Maelstrom.git/Images
abs_top_builddir = /home/milang/Repos/Maelstrom.git
abs_top_srcdir = /home/milang/Repos/Maelstrom.git
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = ${datarootdir}/applications
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
gamedir = /usr/games/Maelstrom
gameimagedir = /usr/games/Maelstrom/Images
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/milang/Repos/Maelstrom.git/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
gameimage_DATA = Maelstrom_Icon\#100.cicn Maelstrom_Icon\#101.cicn Maelstrom_Icon\#102.cicn Maelstrom_Icon\#103.cicn \
 Maelstrom_Icon\#104.cicn Maelstrom_Icon\#110.cicn Maelstrom_Icon\#128.cicn Maelstrom_Icon\#129.cicn \
 Maelstrom_Icon\#130.cicn Maelstrom_Icon\#131.cicn Maelstrom_Icon\#132.cicn Maelstrom_Icon\#133.cicn \
 Maelstrom_Icon\#134.cicn Maelstrom_Icon\#135.cicn Maelstrom_Icon\#136.cicn Maelstrom_Icon\#137.cicn \
 Maelstrom_Titles\#100.png Maelstrom_Titles\#101.png Maelstrom_Titles\#102.png Maelstrom_Titles\#128.png \
 Maelstrom_Titles\#129.png Maelstrom_Titles\#130.png Maelstrom_Titles\#133.png Maelstrom_Titles\#134.png \
 Maelstrom_Titles\#135.png Maelstrom_Titles\#999.png

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Images/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Images/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-gameimageDATA: $(gameimage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gameimagedir)" || $(MKDIR_P) "$(DESTDIR)$(gameimagedir)"
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(gameimageDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  $(gameimageDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(gameimagedir)/$$f"; \
	done

uninstall-gameimageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(gameimagedir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(gameimagedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-gameimageDATA

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gameimageDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am \
	install-gameimageDATA install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am uninstall uninstall-am uninstall-gameimageDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
maelstrom (3.0.6.3-1) stable; urgency=low

  * Use a shell wrapper so tablet task bar works properly

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 16 Jun 2009 13:45:00 +0200

maelstrom (3.0.6.3) stable; urgency=low

  * Update to new version with proper autotooling
  * Make scores writable

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 09 Jun 2009 15:37:00 +0200

maelstrom (3.0.6.1) stable; urgency=low

  * Update to maemo patched version

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 05 Jun 2009 15:01:00 +0200

maelstrom (3.0.6-1) stable; urgency=low

  * Install prefix fixes, add .desktop file

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Jun 2009 14:16:00 +0200

maelstrom (3.0.6) stable; urgency=low

  * Initial tablet package

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 28 May 2009 23:45:00 +0200

=== debian/control ===
Source: maelstrom
Section: user/games
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libsdl1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, osso-af-settings
Standards-Version: 3.8.0

Package: maelstrom
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Maemo-Display-Name: Maelstrom, asteroids clone
Description: Maelstrom
 You pilot your ship through the dreaded "Maelstrom" asteroid belt -- suddenly your best friend thrusts towards you 
 and fires, directly at your cockpit. You raise your shields just in time, and the battle is joined.
 The deadliest stretch of space known to mankind has just gotten deadlier. Everywhere massive asteroids jostle for 
 a chance to crush your ship, and deadly shinobi fighter patrols pursue you across the asteroid belt. But the 
 deadliest of them all is your sister ship, assigned to you on patrol. The pilot, trained by your own Navy, battle 
 hardened by months in the Maelstrom, is equipped with a twin of your own ship and intimate knowledge of your 
 tactics.
 The lovely Stratocaster R&R facility never sounded so good, but as you fire full thrusters to dodge the latest 
 barrage you begin to think you'll never get home...

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_OPT_FLAG:=-O2
#DEB_SOURCE_PACKAGE:=maelstrom
DEB_TAR_SRCDIR:=Maelstrom-3.0.6.3
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
#DEB_AUTO_UPDATE_AUTOCONF=2.59
#DEB_AUTO_UPDATE_AUTOMAKE=1.8

include /usr/share/cdbs/1/rules/tarball.mk

install/maelstrom::
	echo "*** Fixing up things for maemo"
	strip debian/maelstrom/usr/bin/Maelstrom
	mv debian/maelstrom/usr/bin/Maelstrom debian/maelstrom/usr/games/Maelstrom/
	install -m 755 Maelstrom.sh debian/maelstrom/usr/bin/Maelstrom
	chmod a-x debian/maelstrom/usr/games/Maelstrom/*_*
	chmod a-x debian/maelstrom/usr/games/Maelstrom/Images/*.*
	chmod 666 debian/maelstrom/usr/games/Maelstrom/Maelstrom-Scores
